/*
    This file is part of the UNF library / toolset
    Copyright (C) 2000 Steffen Kaiser

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/
/* $RCSfile: oCharTab.c $
   $Locker: ska $	$Name:  $	$State: Exp $

	Output an arbitary character table with leading "size"
	word. This function creates a full table definition, including
	the label, "make_size" option and trailer.

*/

#include "unf.loc"

#ifdef _MICROC_
#endif

#include "unf_post.loc"

#ifdef RCS_Version
static char const rcsid[] = 
	"$Id: oCharTab.c 1.3 2000/04/29 04:44:41 ska Exp ska $";
#endif

void oCharTab(int fct, char *name, UWORD *tab)
{	size_t len;
	UBYTE *p;

	len = *tab++;
	p = (UBYTE*)tab;
	if(!len)
		unf__eerror("Empty table %s", name);
	switch(fct) {
	case '2': case '4':
		if(len != 128)
			fprintf(stderr, "Table %u (%s) contains %u bytes\n==> Although the default length is 128 bytes.\n", fct, name, len);
		break;
	case '3': case '5':
		if(len != 256)
			fprintf(stderr, "Table %u (%s) contains %u bytes\n==> Although the default length is 256 bytes.\n", fct, name, len);
		break;
	}
	olabelc(fct, name);
	oo("make_size");
	ot(p, len);
	oend();
}
