#
# makefile for Turbo C++ 1.01
# make -fmakefile.tcc
#
# note: load_unf is not made. 
#

CC = tcc
CFLAGS = -O -ms
LD = tcc
LFLAGS = -ms
NASM = nasm
NASMFLAGS =

EXTRAOBJS =
UNFLIBS = ..\UNF.LIB
MYLDLIBS = $(UNFLIBS)

.obj.exe:
	$(LD) $(LFLAGS) $< $(EXTRAOBJS) $(MYLDLIBS)

.c.obj:
	$(CC) -c $(CFLAGS) -I. -I.. -DFORSYS $<



#all : read_unf  grab_unf unf2hc nlsuptst yesno load_unf
#	+copy *.exe ..\..\..\bin

.asm.obj:
	$(NASM) $(NASMFLAGS) -f obj $<


all: grab_unf.exe read_unf.exe unf2hc.exe nlsuptst.exe yesno.exe # load_unf.exe

grab_unf.exe : grab_unf.obj $(EXTRAOBJS) $(UNFLIBS)

grab_unf.obj : grab_unf.c ..\UNF.LOC

read_unf.exe : read_unf.obj

read_unf.obj : read_unf.c ..\UNF.LOC

unf2hc.exe : unf2hc.obj $(EXTRAOBJS) $(UNFLIBS)

unf2hc.obj : unf2hc.c ..\UNF.LOC

nlsuptst.exe : nlsuptst.obj $(EXTRAOBJS) $(UNFLIBS)

nlsuptst.obj : nlsuptst.c ..\UNF.LOC

yesno.exe : yesno.obj $(EXTRAOBJS) $(UNFLIBS)

yesno.obj : yesno.c ..\UNF.LOC

load_unf.exe : load_unf.obj $(EXTRAOBJS) $(UNFLIBS)

load_unf.obj : load_unf.c NLS.LOC ..\UNF.H ..\UNF.LOC


clean:
	if exist grab_unf.exe del grab_unf.exe >nul
	if exist read_unf.exe del read_unf.exe >nul
	if exist unf2hc.exe del unf2hc.exe >nul
	if exist nlsuptst.exe del nlsuptst.exe >nul
	if exist yesno.exe del yesno.exe >nul
	if exist load_unf.exe del load_unf.exe >nul
	del *.obj >nul

