/*
    This file is part of the UNF library / toolset
    Copyright (C) 2000 Steffen Kaiser

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/
/* $RCSfile: UNF_FDAT.C $
   $Locker: ska $	$Name:  $	$State: Exp $

	unf_freeData()

	Deallocates all resources allocated for a dyncamical UNF_DATA structure
	including "p" itself.

*/

#include "unf.loc"

#ifndef _MICROC_
#include <stdlib.h>
#endif

#include "unf_post.loc"

#ifdef RCS_Version
static char const rcsid[] = 
	"$Id: UNF_FDAT.C 1.1 2000/04/10 01:28:13 ska Exp ska $";
#endif

void unf_freeData(struct UNF_DATA *p)
{	int num;
	struct UNF_DATA_ENTRY **h;

	if(p) {
		if((num = p->numData) != 0) {
			h = &p->data[0];
			do	free(*h++);
			while(--num);
		}
		free(p);
	}
}
